package com.huiju.alicloud.controllers;

import com.huiju.alicloud.comm.AliUtil;
import com.huiju.alicloud.comm.ResponseBean;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

@RestController
@RequestMapping("/ali")
public class CommController {

    @PostMapping(value = "/oss/{bucket}", consumes = "multipart/*", headers = "content-type=multipart/form-data")
    public ResponseBean upload(
            @RequestParam(value = "file", required = false) MultipartFile multipartFile,
            @PathVariable("bucket") String bucket,
            String todir
    ) {
        try {
            String file = AliUtil.upload(bucket, multipartFile, todir);
            return ResponseBean.success(file);
        } catch (Exception e) {
            e.printStackTrace();
            return ResponseBean.error("上传文件失败: " + e.getMessage(), 1);
        }
    }
}
